Subject: Re: Anyone got latex2html to work on cygwin?? Fatal (use l2hconf): l2hconf.pm
From: Yitzchak Scott-Thoennes <[email-masked]>
To: [email-masked]
Date: Fri, 17 Dec 2004 00:00:44 -0800

On Thu, Dec 16, 2004 at 10:43:57PM -0800, bill BW wrote:
> --- Yitzchak Scott-Thoennes wrote:
> > 
> > I'd recommend using the perl debugger (perl -d
> > latex2html foo.tex)
> > to step through and see if you can isolate where
> > things are going
> > astray.  See perldoc perldebtut for help.
> > 
> 
> 
> Ok thanks, I did not know that one can debug perl
> that way. that is usefull to know.
> 
> I am trying now to do this, for some reason 
> it is not working, but I have not yet looked
> more to see why (it perl -d is not starting, 
> as something is terminating right away). btw
> I am using XP pro, sp 2.

Hmm.  I should have said to say: perl -d /usr/local/bin/latex2html foo.tex
but if the problem was not finding latex2html perl should have given an
error saying so.

> $ uname -a
> CYGWIN_NT-5.1 me 1.5.12(0.116/4/2) 2004-11-10 08:34
> i686 unknown unknown Cygwin
> 
> $ which perl
> /usr/bin/perl
> 
> $ perl --version
> 
> This is perl, v5.8.5 built for
> cygwin-thread-multi-64int
> 
> Copyright 1987-2004, Larry Wall
> 
> $ which latex2html
> /usr/local/bin/latex2html
> 
> $ perl -d latex2html foo.tex
> 
> Loading DB routines from perl5db.pl version 1.27
> Editor support available.
> 
> Enter h or `h h' for help, or `man perldebug' for more
> help.
> 
> Debugged program terminated.  Use q to quit or R to 
> restart,  use O inhibit_exit to avoid stopping after 
> program termination,
>   h q, h R or h O to get additional info.
>   DB<1>
> 
> 
> May be this from man perldebug is realted to the
> above?
> 
> "In Perl, the debugger is not a separate program 
> the way it usually is in the typical compiled 
> environment.  Instead, the -d flag tells the
> compiler to insert source information into 
> the parse trees it's about to hand off to the 
> interpreter.  That means your code must first 
> compile correctly for the debugger to work on it.
> Then when the inter-preter starts up, it preloads a 
> special Perl library file containing the debugger.
> 
> The program will halt right before the first run-time 
> executable statement (but see below regarding 
> compile-time statements) and ask you to enter a 
> debugger command.  Contrary to popular expectations,
> whenever the debugger halts and shows you a line of 
> code, it always displays the line it's about to 
> execute, rather than the one it has just executed."

Right, but from the brief snippet you showed I expected that it was
using l2hconf.pm at run time, not compile time.  Would you send me
(not the list) your latex2html and l2hconf.pm and I'll give it a try?

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/